Subject: Re: [PATCH net-next 0/3] icmp: Add RFC 5837 support

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Oct 2025 08:10:04 -0700

On Wed, 22 Oct 2025 16:58:45 +0300 Ido Schimmel wrote:
> On Wed, Oct 22, 2025 at 06:26:35AM -0700, Jakub Kicinski wrote:
> > On Wed, 22 Oct 2025 09:53:46 +0300 Ido Schimmel wrote:  
> > > Testing
> > > =======
> > > 
> > > The existing traceroute selftest is extended to test that ICMP
> > > extensions are reported correctly when enabled. Both address families
> > > are tested and with different packet sizes in order to make sure that
> > > trimming / padding works correctly.  
> > 
> > Do we need to update traceroute to make the test pass?  
> 
> It shouldn't be necessary. There is a check to skip the test if
> traceroute doesn't have the required functionality. I'm testing with
> version 2.1.6 on Fedora 42.
> 
> If it's failing, can you please run the test with '-v' and paste the
> output? I will try to see what's wrong. I didn't see any failures on my
> end with both regular and debug configs.

bash-5.2# traceroute -V
Modern traceroute for Linux, version 2.1.3
Copyright (c) 2016  Dmitry Butskoy,   License: GPL v2 or any later

# 19.86 [+19.86] TEST: IPv6 traceroute                                               [ OK ]
# 42.27 [+22.42] TEST: IPv6 traceroute with VRF                                      [ OK ]
# 74.83 [+32.55] TEST: IPv6 traceroute with ICMP extensions                          [FAIL]
# 74.83 [+0.00] Wrong incoming interface info reported from R1 after name and MTU change
# 92.09 [+17.26] TEST: IPv4 traceroute                                               [ OK ]
# 109.25 [+17.16] TEST: IPv4 traceroute with VRF                                      [ OK ]
# 143.04 [+33.79] TEST: IPv4 traceroute with ICMP extensions                          [FAIL]
# 143.04 [+0.00] Wrong incoming interface info reported from R1 after name and MTU change
not ok 1 selftests: net: traceroute.sh # exit=1